org.apache.ignite.internal.processors.hadoop.counter

## Interface HadoopCounters

    public interface HadoopCounters

Counters store.

### Method Summary

Methods
`Collection<HadoopCounter>` `all()` Returns all existing counters.
`<T extends HadoopCounter> T` `counter(String grp, String name, Class<T> cls)` Returns counter for the specified group and counter name.
`void` `merge(HadoopCounters other)` Merges all counters from another store with existing counters.

### Method Detail

#### counter

    <T extends HadoopCounter> T counter(String grp,
                                      String name,
                                      Class<T> cls)

Returns counter for the specified group and counter name. Creates new if it does not exist.

Parameters:
  `grp` - Counter group name.
  `name` - Counter name.
  `cls` - Class for new instance creation if it's needed.
Returns:
  The counter that was found or added or `null` if create is false.

#### all

    Collection<HadoopCounter> all()

Returns all existing counters.

Returns:
  Collection of counters.

#### merge

    void merge(HadoopCounters other)

Merges all counters from another store with existing counters.

Parameters:
  `other` - Counters to merge with.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017